/**
 * 柱
 */
public class PRSpriteGroupPole extends PRSpriteGroup implements PRConstant {

	/** 配置パターン */
	private		String		strPattern	= null;

	/**
	 * コンストラクタ
	 * @param application PRApplication
	 * @param strParam 配置パターン
	 */
	public PRSpriteGroupPole(PRApplication application, String strParam){
		super(application);
		this.strPattern = strParam;
	}

	/**
	 * 実行
	 * <pre>
	 * 当オブジェクトのふるまいを決定します。
	 * <pre>
	 */
	public void run(){

		// 一定時間経過の場合、
		if((time % 15) == 0){

			// スプライトを生成
			PRSpritePole spritePole = new PRSpritePole(super.getPRApplication(), strPattern);

			// スプライトを追加
			super.getPRApplication().addNode(spritePole);

		} // end if 一定時間経過の場合

		// ５秒経ったら、
		if(time > 300){
			// スプライトグループを消す
			super.getPRApplication().removeSpriteGroup(this);
		}

	} // end run

}
