/**
 * 天狗
 */
public class PRSpriteGroupTengu extends PRSpriteGroup implements PRConstant {

	/** 配置パターン */
	private		String		strPattern		= null;

	/** 残機 */
	private		int			remaining		= 0;

	/**
	 * コンストラクタ
	 * @param application PRApplication
	 * @param strParam 配置パターン
	 */
	public PRSpriteGroupTengu(PRApplication application, String strParam){

		super(application);

		// パターンを保持
		this.strPattern = strParam;

		// ボスの場合、
		if("ボス１".equals(strPattern)){

			// ストーリーを停止する
			super.getPRApplication().getPRStoryPrusher().stop();

			// 天狗BGMスタート
			super.getPRApplication().startMP3BGMTengu();

			// 360度配置
			for(int angle = 0; angle < 360; angle = angle + 30){

				// スプライトを生成
				PRSpriteTengu spriteTengu = new PRSpriteTengu(super.getPRApplication(), this, strPattern, angle);

				// スプライトを追加
				super.getPRApplication().addNode(spriteTengu);

				// 残機＋１
				remaining++;

			} // end for 360度配置

		} // end if Pattern

	} // end PRSpriteGroupTengu

	/**
	 * 実行
	 * <pre>
	 * 当オブジェクトのふるまいを決定します。
	 * <pre>
	 */
	public void run(){

		// 通常パターンの場合、
		if(!"ボス１".equals(strPattern)){

			// 一定時間経過の場合、
			if((time % 20) == 0){

				// スプライトを生成
				PRSpriteTengu spriteTengu = new PRSpriteTengu(super.getPRApplication(), strPattern);

				// スプライトを追加
				super.getPRApplication().addNode(spriteTengu);

			} // end if 一定時間経過の場合

			// 2.5秒経ったら、
			if(time > 150){
				// スプライトグループを消す
				super.getPRApplication().removeSpriteGroup(this);
			}

		} // end if Pattern

	} // end run

	/**
	 * スプライト削除
	 * <pre>
	 * スプライトグループで管理しているスプライトを削除します。
	 * <pre>
	 */
	public void removeSprite(){

		// 残機−１
		remaining--;

		// 残機が無くなった場合、
		if(remaining == 0){

			// ストーリーを再開する
			super.getPRApplication().getPRStoryPrusher().start();

			// 天狗BGMストップ
			super.getPRApplication().stopMP3BGMTengu();

			// スプライトグループを消す
			super.getPRApplication().removeSpriteGroup(this);

		}

	} // end removeSprite

}
