/**
 * ズババビーン
 */
public class PRSpriteGroupZBB extends PRSpriteGroup implements PRConstant {

	/** 配置パターン */
	private		String		strPattern	= null;

	/**
	 * コンストラクタ
	 * @param application PRApplication
	 * @param strParam 配置パターン
	 */
	public PRSpriteGroupZBB(PRApplication application, String strParam){
		super(application);
		this.strPattern = strParam;
	}

	/**
	 * 実行
	 * <pre>
	 * 当オブジェクトのふるまいを決定します。
	 * <pre>
	 */
	public void run(){

		// 一定時間経過の場合、
		if((time % 5) == 0){

			// スプライトを生成
			PRSpriteZBB spriteZBB = new PRSpriteZBB(super.getPRApplication());

			// 配置パターン＝上の場合、
			if("上".equals(strPattern)){

				// Y設定
				spriteZBB.setTranslateY(Math.random() * 2.0 - 4.0);

			// 配置パターン＝下の場合、
			}else if("下".equals(strPattern)){

				// Y設定
				spriteZBB.setTranslateY(Math.random() * 2.0 - 2.5);

			} // end if 配置パターン

			// スプライトを追加
			super.getPRApplication().addNode(spriteZBB);

		} // end if 一定時間経過の場合

		// ３秒経ったら、
		if(time > 180){
			// スプライトグループを消す
			super.getPRApplication().removeSpriteGroup(this);
		}

	} // end run

}
