import javafx.scene.transform.Rotate;

/**
 * モードセレクト
 */
public class PRSpriteMode extends PRSprite {

	/** モード */
	private		int				mode			= 0;

	/** 傾きX */
	private		Rotate			rotateX			= null;
	private		int				angleX			= 0;

	/**
	 * 初期化
	 */
	public static void init() {

		try{
			ObjReader.init(PRSpriteMode.class, "3d/Ship.obj");
		}catch(Exception ex){
			ex.printStackTrace();
		}

	} // end init

	/**
	 * コンストラクタ
	 */
	public PRSpriteMode(PRApplication application){

		// スーパークラスを呼び出す
		super(application);

		try{

			// 座標設定
			super.setTranslateX(-0.4);
			super.setTranslateY(-0.38);
			super.setTranslateZ(6);

			// オブジェクト
			ObjReader.create(this);

			// 縮小する
			super.setScaleX(0.02);
			super.setScaleY(0.02);
			super.setScaleZ(0.02);

			// 回転させる
			this.getTransforms().add(new Rotate(180, Rotate.Y_AXIS));

			// Rotateを生成
			rotateX = new Rotate(angleX, Rotate.X_AXIS);

			// 回転用に登録
			this.getTransforms().add(rotateX);

		}catch(Exception ex){
			ex.printStackTrace();
		}

	} // end PRSpriteMode

	/**
	 * 実行
	 */
	@Override
	public void run(){

		// 角度を計算
		angleX = angleX + ((mode == 0)?-4: 4);

		angleX = (angleX > 360)?angleX - 360: angleX;
		angleX = (angleX < 0)?angleX + 360: angleX;

		// 角度を設定
		rotateX.setAngle(angleX);

	} // end run

	/**
	 * モード設定
	 */
	public void setMode(int mode){

		// モードを保持
		this.mode = mode;

		// 位置設定
		super.setTranslateY(-0.38 + mode * 0.16);

	} // end run

}
