import javafx.scene.Group;
import javafx.scene.shape.Sphere;

/**
 * 星屑
 */
public class PRSpriteStardust extends PRSpriteT {

	/** 星屑オブジェクト一覧の要素数 */
	private			int				COUNT_STARDUST	= 300;


	/** 星屑オブジェクト一覧 */
	private			Sphere[]		statdusts		= null;

	/**
	 * コンストラクタ
	 * @param application PRApplication
	 */
	public PRSpriteStardust(PRApplication application){

		// スーパークラスを呼び出す
		super(application);

		// 星屑オブジェクト一覧を生成
		statdusts = new Sphere[COUNT_STARDUST];

		// 星屑オブジェクト一覧の件数分、ループ
		for(int i = 0; i < COUNT_STARDUST; i++){

			// 星屑オブジェクトを生成
			Sphere statdust = new Sphere();

			// 星屑オブジェクトに設定
			statdusts[i] = statdust;

			// 球体を作成
			statdust.setRadius(0.05);

			// X設定
			statdust.setTranslateX(Math.random() * 40 - 20);

			// Y設定
			statdust.setTranslateY(Math.random() * 40 - 20);

			// Z設定
			statdust.setTranslateZ(Math.random() * 300 + 200);

			// 星屑を追加
			this.getChildren().add(statdust);

		} // end for 星屑オブジェクト一覧の件数分、ループ

	} // end PRSpriteStardust

	/**
	 * 実行
	 */
	public void run(){

		// 星屑オブジェクト一覧の件数分、ループ
		for(int i = 0; i < COUNT_STARDUST; i++){

			// 星屑オブジェクトを取得
			Sphere statdust = statdusts[i];

			// Z方向取得
			double z = statdust.getTranslateZ();

			// Z方向加算
			z = z - 0.4;

			// 画面の外にでた場合、
			if(z < 0){
				// Z設定
				z = z + 300;
			}

			// 移動
			statdust.setTranslateZ(z);

		} // end for 星屑オブジェクト一覧の件数分、ループ

	} // end run

}
