import javafx.scene.transform.Rotate;

/**
 * タイトルアステロイダー
 * <pre>
 * 結局、岩が好きなアステロイダー？！追いかけてきた？！？！
 * </pre>
 */
public class PRSpriteTitleShip extends PRSpriteT {

	/**
	 * 初期化
	 */
	public static void init() {

		try{
			ObjReader.init(PRSpriteTitleShip.class, "3d/Ship.obj");
		}catch(Exception ex){
			ex.printStackTrace();
		}

	} // end init

	/**
	 * コンストラクタ
	 * @param application PRApplication
	 * @param stage ステージ
	 */
	public PRSpriteTitleShip(PRApplication application){

		// スーパークラスを呼び出す
		super(application);

		try{

			// オブジェクト
			ObjReader.create(this);

			// X設定
			super.setTranslateX(1.2);

			// Y設定
			super.setTranslateY(-0.5);

			// Z設定
			super.setTranslateZ(10);

			// 拡大／縮小する
			super.setScaleX(0.5);
			super.setScaleY(0.5);
			super.setScaleZ(0.5);

			// 回転させる
			this.getTransforms().add(new Rotate(10, Rotate.X_AXIS));
			this.getTransforms().add(new Rotate(20, Rotate.Y_AXIS));

		}catch(Exception ex){
			ex.printStackTrace();
		}

	} // end PRSpriteTitleShip

	/**
	 * 実行
	 */
	@Override
	public void run(){

	} // end run

}
